cannot sudo apt update on deepin 20 beta

If it doesn't relate to Debian, but you still want to share it, please do it here

cannot sudo apt update on deepin 20 beta

Postby QuadzHS@gmail.com » 2020-06-30 21:00

if someone could help me with this. it says 'contrib' is misspelt but when i look in sources it isnt. I an very noobie with all of this so if anybody could assist me that would be great.
Code: Select all
sudo apt update
[sudo] password for :
Hit:1 http://dl.google.com/linux/chrome/deb stable InRelease
Hit:2 http://download.opensuse.org/repositories/home:/strycore/Debian_10 ./ InRelease
Get:3 http://repository.spotify.com stable InRelease [3,316 B]                   
Err:3 http://repository.spotify.com stable InRelease                             
  The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 4773BD5E130D1D45
Hit:4 https://community-packages.deepin.com/deepin apricot InRelease             
Hit:6 https://cdn-package-store6.deepin.com/appstore eagle InRelease             
Get:5 https://uos.deepin.cn/printer eagle InRelease [5,223 B]
Reading package lists... Done       
W: Skipping acquire of configured file 'contrib/binary-amd64/Packages' as repository 'http://dl.google.com/linux/chrome/deb stable InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'non-free/binary-amd64/Packages' as repository 'http://dl.google.com/linux/chrome/deb stable InRelease' doesn't have the component 'non-free' (component misspelt in sources.list?)
W: GPG error: http://repository.spotify.com stable InRelease: The following signatures couldn't be verified because the public key is not available: NO_PUBKEY 4773BD5E130D1D45
E: The repository 'http://repository.spotify.com stable InRelease' is not signed.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Skipping acquire of configured file 'non-free/binary-amd64/Packages' as repository 'https://cdn-package-store6.deepin.com/appstore eagle InRelease' doesn't have the component 'non-free' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'non-free/binary-i386/Packages' as repository 'https://cdn-package-store6.deepin.com/appstore eagle InRelease' doesn't have the component 'non-free' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/binary-amd64/Packages' as repository 'https://cdn-package-store6.deepin.com/appstore eagle InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/binary-i386/Packages' as repository 'https://cdn-package-store6.deepin.com/appstore eagle InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/binary-amd64/Packages' as repository 'http://packages.chinauos.com/printer eagle InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
W: Skipping acquire of configured file 'contrib/binary-i386/Packages' as repository 'http://packages.chinauos.com/printer eagle InRelease' doesn't have the component 'contrib' (component misspelt in sources.list?)
QuadzHS@gmail.com
 
Posts: 1
Joined: 2020-06-30 20:54

Re: cannot sudo apt update on deepin 20 beta

Postby LE_746F6D617A7A69 » 2020-06-30 22:05

Hmm...
Your case is indeed *special* - believe Me, It's really a rare case to spot such a f****ed up sources.list ...
DontBreakDebian! ... or should I say: Don't break Deepin? :lol:

-----------------------------
Btw, It's really interesting to see that recently there are so many Windows/Ubuntu refugees searching for help from Debian users ...
Bill Gates: "(...) In my case, I went to the garbage cans at the Computer Science Center and I fished out listings of their operating system."
The_full_story and Nothing_have_changed
LE_746F6D617A7A69
 
Posts: 340
Joined: 2020-05-03 14:16

Re: cannot sudo apt update on deepin 20 beta

Postby cuckooflew » 2020-06-30 23:31

I wonder about any one that uses a e-mail address for their user name, but besides that, really
this is a gem, to bad we can't add it to this: Repo mix-and-match hit parade
The OP should read it though, a long with the "Don't break Debian" link.
=====================
Post by QuadzHS@gmail.com » 2020-06-30 21:00
if someone could help me with this. it says 'contrib' is misspelt but when i look in sources it isnt.

If you notice :
Code: Select all
 (component misspelt in sources.list?)
has a question mark, that indicates it is guessing, or saying "maybe" it is misspelled , but any way, you need to actually show us the actual sources.list file:
Code: Select all
/etc/apt/sources.list

Based on what you show, it is a mess, and also," deepin 20 beta " is not even Debian, so you are really on the wrong forum, you should be asking the Deepin forum or support for help.
Of course, if you want help with Debian, then the first thing you should do is back up anything that is important to you, put it on a storage device. Then install Debian, the install will over write the mess you have, and you will start new , with Debian. Bye
Please Read What we expect you have already Done
Search Engines know a lot, and
"If God had wanted computers to work all the time, He wouldn't have invented RESET buttons"
and
Just say NO to help vampires!
cuckooflew
 
Posts: 683
Joined: 2018-05-10 19:34
Location: Some where out west

Re: cannot sudo apt update on deepin 20 beta

Postby stevepusser » 2020-07-01 02:53

Though I'm usually eager to have a new addition to the mix 'n' match list, I'm going to play devil's advocate and point out that we don't know that any of the listed repos are really incompatible with Buster.

The main problem that I can see is that someone or something got too eager when editing the sources and slapped "contrib" and or "non-free" on a host of non-Debian repos, which don't have those sections at all--Google's repo for Google Chrome, for example, which usually gets added by the Chrome deb install, not too mention that the whole repo would be considered non-free by Debian.

So the sources.list file and/or the files in /etc/apt/sources.list.d must be edited as sysadmin and the offending sections removed.
MX Linux packager and developer
User avatar
stevepusser
 
Posts: 11975
Joined: 2009-10-06 05:53

Re: cannot sudo apt update on deepin 20 beta

Postby cuckooflew » 2020-07-01 03:24

Fair enough, So if the OP is not sure what lines need to be removed or edited they should show us what they have, both
Code: Select all
/etc/apt/sources.list
and the
Code: Select all
/etc/apt/sources.list.d
Please Read What we expect you have already Done
Search Engines know a lot, and
"If God had wanted computers to work all the time, He wouldn't have invented RESET buttons"
and
Just say NO to help vampires!
cuckooflew
 
Posts: 683
Joined: 2018-05-10 19:34
Location: Some where out west

Re: cannot sudo apt update on deepin 20 beta

Postby dilberts_left_nut » 2020-07-01 07:58

Doesn't qualify for the hit-parade as it never even started as a Debian system.
Does qualify as "Offtopic" though so moved appropriately.

As stated above the problem is:
Code: Select all
repository XXX doesn't have the component 'contrib'


Oh and ... https://bbs.deepin.org/forum.php?gid=69 for any further questions.
AdrianTM wrote:There's no hacker in my grandma...
User avatar
dilberts_left_nut
 
Posts: 5071
Joined: 2009-10-05 07:54
Location: enzed


Return to Offtopic

Who is online

Users browsing this forum: No registered users and 17 guests

fashionable